Document.ready = async function(fn) {
  (async function() {
    (document.readyState !== 'loading') ?
      fn() : document.addEventListener('DOMContentLoaded',
        function() {
          fn();
        });
  })();
}

Document.getWidth = function(el) {
  if (el == null) {
    return 0;
  }

  if (typeof(el) == "undefined") {
    return 0;
  }

  return (el.offsetWidth || el.innerWidth || el.clientWidth);
}

Document.getHeight = function(el) {
  if (el == null) {
    return 0;
  }

  if (typeof(el) == "undefined") {
    return 0;
  }

  return (el.offsetHeight || el.innerHeight || el.clientHeight);
}

Document.appendHtml = function(el, html) {
  const newEl = document.createElement(html);

  el.appendChild(newEl);
}

Document.addClass = function(el, className) {
  if (el.classList.contains(className)) {
    return;
  }

  el.classList.add(className);
}

Document.removeClass = function(el, className) {
  if (!el.classList.contains(className)) {
    return;
  }

  el.classList.remove(className);
}

